package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import java.math.BigDecimal;

public class CreditSuccRateAction extends LifeAction {

   private String listField;
   private String applyCountField;
   private String creditCountField;
   private String succRateField;


   public String execute(Context productList) throws GENEException {
      IndexedCollection var12 = (IndexedCollection)productList.getDataElement(this.listField);
      IndexedCollection iColl = new IndexedCollection();

      for(int i = 0; i < var12.size(); ++i) {
         KeyedCollection kColl;
         int applyCount = Integer.parseInt((String)(kColl = (KeyedCollection)var12.get(i)).getDataValue(this.applyCountField));
         int creditCount = Integer.parseInt((String)kColl.getDataValue(this.creditCountField));
         BigDecimal value1 = new BigDecimal(applyCount);
         BigDecimal value2 = new BigDecimal(creditCount);
         if(creditCount != 0 && applyCount != 0) {
            double result = value2.divide(value1, 2, 4).doubleValue();
            kColl.put(this.succRateField, Double.valueOf(result));
         } else {
            kColl.put(this.succRateField, "0");
         }

         iColl.add(kColl);
      }

      return "0";
   }

   public void setListField(String listField) {
      this.listField = listField;
   }

   public void setApplyCountField(String applyCountField) {
      this.applyCountField = applyCountField;
   }

   public void setCreditCountField(String creditCountField) {
      this.creditCountField = creditCountField;
   }

   public void setSuccRateField(String succRateField) {
      this.succRateField = succRateField;
   }

   public static void main(String[] rate) {
      BigDecimal rate1 = (new BigDecimal(1)).divide(new BigDecimal(3), 2, 4);
      System.out.println(rate1);
   }
}
